> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Management Keys

> Get org management key via the Junction API. Requires authentication with your team API key.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.management.junction.com/v1/org/{org_id}/management_key \
    --header 'X-Vital-Org-Key: <api-key>'
  ```
</RequestExample>


## OpenAPI

````yaml get /v1/org/{org_id}/management_key
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/management_key:
    get:
      tags:
        - Management Key
      summary: List Management Key
      operationId: list_management_key_v1_org__org_id__management_key_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: team_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: >-
              If specified, the endpoint returns only team_admin Management Keys
              that are bound to this team.
            title: Team Id
          description: >-
            If specified, the endpoint returns only team_admin Management Keys
            that are bound to this team.
        - name: role
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - org_admin
                  - team_admin
              - type: 'null'
            description: >-
              If specified, the endpoint returns only Management Keys of the
              specified role.
            title: Role
          description: >-
            If specified, the endpoint returns only Management Keys of the
            specified role.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientFacingManagementKeyResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClientFacingManagementKeyResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ClientFacingManagementKey'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: ClientFacingManagementKeyResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientFacingManagementKey:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        label:
          type: string
          title: Label
        created_at:
          type: string
          format: date-time
          title: Created At
        creator:
          anyOf:
            - $ref: '#/components/schemas/CreatorOrgMember'
            - $ref: '#/components/schemas/CreatorOrgMemberRemoved'
            - $ref: '#/components/schemas/CreatorVitalStaff'
            - $ref: '#/components/schemas/CreatorManagementKey'
          title: Creator
        role:
          type: string
          enum:
            - org_admin
            - team_admin
          title: Role
        team_role_bindings:
          anyOf:
            - items:
                $ref: '#/components/schemas/TeamRoleBinding'
              type: array
            - type: 'null'
          title: Team Role Bindings
      type: object
      required:
        - id
        - label
        - created_at
        - creator
        - role
        - team_role_bindings
      title: ClientFacingManagementKey
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CreatorOrgMember:
      properties:
        type:
          type: string
          const: org_member
          title: Type
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        email:
          type: string
          title: Email
        avatar:
          type: string
          title: Avatar
      type: object
      required:
        - type
        - id
        - name
        - email
        - avatar
      title: CreatorOrgMember
    CreatorOrgMemberRemoved:
      properties:
        type:
          type: string
          const: removed_org_member
          title: Type
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
      type: object
      required:
        - type
        - id
      title: CreatorOrgMemberRemoved
    CreatorVitalStaff:
      properties:
        type:
          type: string
          const: vital_staff
          title: Type
      type: object
      required:
        - type
      title: CreatorVitalStaff
    CreatorManagementKey:
      properties:
        type:
          type: string
          const: management_key
          title: Type
      type: object
      required:
        - type
      title: CreatorManagementKey
    TeamRoleBinding:
      properties:
        team_id:
          type: string
          format: uuid
          title: Team Id
      type: object
      required:
        - team_id
      title: TeamRoleBinding
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````